"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var honoka_1 = require("honoka");
var ProxyAgent = require("https-proxy-agent");
var getProxy = require("get-proxy");
var Config_1 = require("./Config");
var hasRegistered = false;
function registerHonoka() {
    if (hasRegistered) {
        return;
    }
    var sysProxy = getProxy();
    honoka_1.default.defaults.baseURL = Config_1.default.NeteaseBaseURL;
    honoka_1.default.interceptors.register({
        request: function (options) {
            if (sysProxy) {
                options.agent = new ProxyAgent(sysProxy);
            }
            return options;
        }
    });
    hasRegistered = true;
}
exports.default = registerHonoka;
